﻿$packageName= 'icinga2'
$toolsDir   = "$(Split-Path -Parent $MyInvocation.MyCommand.Definition)"
$url = 'https://packages.icinga.com/windows/Icinga2-v2.11.1-x86.msi'
$url64 = 'https://packages.icinga.com/windows/Icinga2-v2.11.1-x86_64.msi'

$packageArgs = @{
  packageName   = $packageName
  fileType      = 'msi'
  url           = $url
  url64bit      = $url64
  silentArgs    = "/qn /norestart"
  validExitCodes= @(0)
  softwareName  = 'Icinga 2*'
  checksum      = '117CE8AC374C9322906645C97970070A20CB6D9A3EE090B34A9CBF3976222BC2'
  checksumType  = 'sha256'
  checksum64    = '46D6DD5834EB8FE17B4442D56A8851E45250C868B948D239836E3254420C6161'
  checksumType64= 'sha256'
}

Install-ChocolateyPackage @packageArgs